'use strict';

var curry = require('./curry.js');
require('./always.js');
require('./_branch.js');
require('./branch.js');
require('./id.js');
require('./isString-d8679d99.js');
require('./flatten-a717674f.js');
require('./variadic.js');
require('./compose.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./concatWith-aa95abaf.js');
require('./isArray-fff5bad6.js');
require('./mempty-fb137ec7.js');
require('./concat.js');
require('./_concatMap.js');
require('./_filter.js');
var _all = require('./_all.js');

/**
 * Determines whether all elements in a list satisfy a predicate function.
 *
 * @function
 * @param {Function} p The predicate function.
 * @param {Array|String} as The list.
 * @returns {Boolean} `true` if all elements of the list of `as` satisfy the
 * predicate, `false` otherwise.
 * @example
 *
 * import { all, eq, gt } from 'fkit'
 *
 * all(gt(1), [1, 2, 3]) // false
 * all(gt(1), [2, 3]) // true
 * all(gt(1), [3]) // true
 *
 * all(eq('o'), 'foo') // false
 * all(eq('o'), 'oo') // true
 * all(eq('o'), 'o') // true
 */

var all = curry(_all);

module.exports = all;
