'use strict';

require('./curry.js');
require('./isString-d8679d99.js');
require('./flatten-a717674f.js');
var variadic = require('./variadic.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
var concatWith = require('./concatWith-aa95abaf.js');
require('./isArray-fff5bad6.js');
var mempty = require('./mempty-fb137ec7.js');

/**
 * Concatenates multiple lists into a single list.
 *
 * @function
 * @param {Array|String} as The lists to concatenate.
 * @returns {Array|String} A list that contains the concatenated elements in
 * the list of `as`.
 * @example
 *
 * import { concat } from 'fkit'
 * concat([1], [2, 3], [4, 5, 6]) // [1, 2, 3, 4, 5, 6]
 * concat('f', 'oo', 'bar') // 'foobar'
 */

var concat = variadic(function (as) {
  return concatWith.concatWith(mempty.mempty(as), as);
});

module.exports = concat;
