'use strict';

var curry = require('./curry.js');
require('./isString-d8679d99.js');
require('./flatten-a717674f.js');
require('./variadic.js');
require('./compose.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./concatWith-aa95abaf.js');
require('./isArray-fff5bad6.js');
require('./mempty-fb137ec7.js');
require('./concat.js');
var _concatMap = require('./_concatMap.js');

/**
 * Maps a function, that returns a list, over a list and concatenates the
 * results.
 *
 * @function
 * @param {Function} f The function to apply to each value in the list. It must
 * also return a list.
 * @param {Array|String} as The list.
 * @returns {Array|String} A list that contains the elements in the list of
 * `as`, mapped with the function `f`, and concatenated together.
 * @example
 *
 * import { concatMap } from 'fkit'
 * concatMap(a => [a, 0], [1, 2, 3]) // [1, 0, 2, 0, 3, 0]
 * concatMap(a => [a, '-'], 'foo') // 'f-o-o-'
 */

var concatMap = curry(_concatMap);

module.exports = concatMap;
