'use strict';

require('./curry.js');
require('./always.js');
require('./_branch.js');
require('./branch.js');
require('./id.js');
require('./isString-d8679d99.js');
require('./flatten-a717674f.js');
require('./variadic.js');
require('./compose.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./concatWith-aa95abaf.js');
require('./isArray-fff5bad6.js');
require('./mempty-fb137ec7.js');
require('./concat.js');
require('./_concatMap.js');
require('./_filter.js');
require('./empty.js');
require('./head.js');
require('./tail.js');
require('./_eq.js');
var eq = require('./eq.js');
require('./_prepend.js');
require('./_nubBy.js');
require('./nubBy.js');
require('./nub.js');
require('./_removeBy.js');
require('./removeBy.js');
require('./_fold.js');
require('./_differenceBy.js');
var differenceBy = require('./differenceBy.js');

/**
 * Calculates the difference of two lists.
 *
 * This is a special case of the `differenceBy` function where the elements are
 * compared using the strict equality `===` operator.
 *
 * @function
 * @param {Array|String} as The first list.
 * @param {Array|String} bs The second list.
 * @returns {Array|String} A list that contains the difference of the elements
 * in the lists of `as` and `bs`.
 * @example
 *
 * import { difference } from 'fkit'
 * difference([1, 2, 3], [2, 3, 4]) // [1]
 * difference('hello', 'world') // 'he'
 */

var difference = differenceBy(eq);

module.exports = difference;
