'use strict';

var curry = require('./curry.js');
require('./isString-d8679d99.js');
require('./flatten-a717674f.js');
require('./variadic.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./concatWith-aa95abaf.js');
require('./isArray-fff5bad6.js');
require('./mempty-fb137ec7.js');
require('./concat.js');
require('./empty.js');
require('./head.js');
require('./tail.js');
var _intersperse = require('./_intersperse.js');

/**
 * Intersperses the elements of a list with separator.
 *
 * @function
 * @param {String} s The separator value.
 * @param {Array|String} as The list.
 * @returns {Array|String} A list that contains the elements in the list of
 * `as` interspersed with the separator `s`.
 * @example
 *
 * import { intersperse } from 'fkit'
 * intersperse(4, [1, 2, 3]) // [1, 4, 2, 4, 3]
 * intersperse('-', 'foo') // 'f-o-o'
 */

var intersperse = curry(_intersperse);

module.exports = intersperse;
