'use strict';

var curry = require('./curry.js');
require('./always.js');
require('./_branch.js');
require('./branch.js');
require('./id.js');
require('./isString-d8679d99.js');
require('./flatten-a717674f.js');
require('./variadic.js');
require('./compose.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./concatWith-aa95abaf.js');
require('./isArray-fff5bad6.js');
require('./mempty-fb137ec7.js');
require('./concat.js');
require('./_concatMap.js');
require('./_filter.js');
require('./_any.js');
require('./empty.js');
require('./head.js');
require('./tail.js');
require('./_prepend.js');
require('./_isPrefixOf.js');
require('./isPrefixOf.js');
require('./tails.js');
var _isInfixOf = require('./_isInfixOf.js');

/**
 * Determines if a list is contained within another list.
 *
 * @function
 * @param {Array|String} as The list to find.
 * @param {Array|String} bs The list.
 * @returns {Boolean} `true` if the list of `as` is contained within the list
 * of `bs`, `false` otherwise.
 * @example
 *
 * import { isInfixOf } from 'fkit'
 *
 * isInfixOf([], [1, 2, 3]) // true
 * isInfixOf([2, 3], [1, 2, 3]) // true
 * isInfixOf([3, 2], [1, 2, 3]) // false
 *
 * isInfixOf('', 'foo') // true
 * isInfixOf('oo', 'foo') // true
 * isInfixOf('of', 'foo') // false
 */

var isInfixOf = curry(_isInfixOf);

module.exports = isInfixOf;
