'use strict';

var isString = require('./isString-d8679d99.js');
var isArray = require('./isArray-fff5bad6.js');

/**
 * Returns true if the list of `as` is an array of strings, false otherwise.
 *
 * @private
 */

function isArrayOfStrings(as) {
  return isArray.isArray(as) && as.length > 0 && as.reduce(function (a, b) {
    return a && isString.isString(b);
  }, true);
}

/**
 * Returns an empty monoid of `as`.
 *
 * @private
 */

function mempty(as) {
  return isString.isString(as) || isArrayOfStrings(as) ? '' : [];
}

exports.isArrayOfStrings = isArrayOfStrings;
exports.mempty = mempty;
