'use strict';

require('./curry.js');
require('./always.js');
require('./_branch.js');
require('./branch.js');
require('./id.js');
require('./isString-d8679d99.js');
require('./flatten-a717674f.js');
require('./variadic.js');
require('./compose.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./concatWith-aa95abaf.js');
require('./isArray-fff5bad6.js');
require('./mempty-fb137ec7.js');
require('./concat.js');
require('./_concatMap.js');
require('./_filter.js');
require('./empty.js');
require('./head.js');
require('./tail.js');
require('./_eq.js');
var eq = require('./eq.js');
require('./_prepend.js');
require('./_nubBy.js');
var nubBy = require('./nubBy.js');

/**
 * Removes duplicate elements from a list.
 *
 * This is a special case of the `nubBy` function where the elements are compared
 * using the strict equality `===` operator.
 *
 * @function
 * @param {Array|String} as The list.
 * @returns {Array|String} A list with all duplicate elements removed from the list of `as`.
 * @example
 *
 * import { nub } from 'fkit'
 * nub([1, 2, 2, 3, 3, 3]) // [1, 2, 3]
 * nub('abbccc') // 'abc'
 */

var nub = nubBy(eq);

module.exports = nub;
