'use strict';

var curry = require('./curry.js');
require('./always.js');
require('./_branch.js');
require('./branch.js');
require('./id.js');
require('./isString-d8679d99.js');
require('./flatten-a717674f.js');
require('./variadic.js');
require('./compose.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./concatWith-aa95abaf.js');
require('./isArray-fff5bad6.js');
require('./mempty-fb137ec7.js');
require('./concat.js');
require('./_concatMap.js');
require('./_filter.js');
require('./not.js');
var _partition = require('./_partition.js');

/**
 * Partitions a list using a predicate function.
 *
 * @function
 * @param {Function} p The predicate function.
 * @param {Array|String} as The list.
 * @returns {Array} A list that contains the elements in the list of `as` split
 * into a pair of lists: the elements that satisfy the predicate function `p`
 * and the elements that do not satisfy the predicate function `p`.
 * @example
 *
 * import { eq, gt, partition } from 'fkit'
 * partition(gt(1), [1, 2, 3]) // [[2, 3], [1]]
 * partition(eq('o'), 'foo') // ['oo', 'f']
 */

var partition = curry(_partition);

module.exports = partition;
