'use strict';

require('./curry.js');
require('./isString-d8679d99.js');
var flip = require('./flip.js');
require('./isArray-fff5bad6.js');
var mempty = require('./mempty-fb137ec7.js');
require('./_prepend.js');
var prepend = require('./prepend.js');

/**
 * Reverses the elements in a list.
 *
 * @param {Array|String} as The list.
 * @returns {Array|String} A list that contains the elements in the list of
 * `as` in reverse order.
 * @example
 *
 * import { reverse } from 'fkit'
 * reverse([1, 2, 3]) // [3, 2, 1]
 * reverse('foo') // 'oof'
 */

function reverse (as) {
  return Array.from(as).reduce(flip(prepend), mempty.mempty(as));
}

module.exports = reverse;
